Bug 1286823 - latest advanced heat templates require ~/undercloud-passwords.conf
latest advanced heat templates require ~/undercloud-passwords.conf
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-rdomanager-oscplugin (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
unspecified Severity low
: ---
: 8.0 (Liberty)
Assigned To: RHOS Maint
yeylon@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-30 14:54 EST by David Hill
Modified: 2016-04-18 02:52 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-01 11:32:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Hill 2015-11-30 14:54:41 EST
Description of problem:
What problem/issue/behavior are you having trouble with?  What do you expect to see?

The latest openstack templates:

[stack@openstack-undercloud templates]$ rpm -qa | grep open  |grep template
openstack-heat-templates-0-0.6.20150605git.el7ost.noarch
openstack-tripleo-heat-templates-0.8.6-71.el7ost.noarch

Require a minimal ~/undercloud-passwords.conf for example:

 cat ~/undercloud-passwords.conf
[auth]
undercloud_ceilometer_snmpd_password=db09a04109c53f095cfb2dd6c8a4********************8

WIth out this we have:

+ openstack overcloud deploy --templates /home/stack/templates/my-overcloud -e /home/stack/templates/my-overcloud/environments/network-isolation.yaml -e /home/stack/templates/network-environment.yaml -e /home/stack/templates/storage-environment.yaml --control-scale 3 --compute-scale 7 --ceph-storage-scale 3 --control-flavor control --compute-flavor compute --ceph-storage-flavor ceph-storage --ntp-server pool.ntp.org --neutron-network-type vxlan --neutron-tunnel-types vxlan --neutron-bridge-mappings datacentre:br-ex,br-eth1:br-eth1 --neutron-network-vlan-ranges datacentre:1:1000,br-eth1:108:108
ERROR: openstack No option 'undercloud_ceilometer_snmpd_password' in section: 'auth'

With it we have:

+ openstack overcloud deploy --templates /home/stack/templates/my-overcloud -e /home/stack/templates/my-overcloud/environments/network-isolation.yaml -e /home/stack/templates/network-environment.yaml -e /home/stack/templates/storage-environment.yaml --control-scale 3 --compute-scale 7 --ceph-storage-scale 3 --control-flavor control --compute-flavor compute --ceph-storage-flavor ceph-storage --ntp-server pool.ntp.org --neutron-network-type vxlan --neutron-tunnel-types vxlan --neutron-bridge-mappings datacentre:br-ex,br-eth1:br-eth1 --neutron-network-vlan-ranges datacentre:1:1000,br-eth1:108:108
Deploying templates in the directory /home/stack/templates/my-overcloud

Looking at the issue with --debug

 /usr/lib/python2.7/site-packages/rdomanager_oscplugin/v1/overcloud_deploy.py

contains on line 112:

        undercloud_ceilometer_snmpd_password = utils.get_config_value(
            "auth", "undercloud_ceilometer_snmpd_password")

Following this down to /usr/lib/python2.7/site-packages/rdomanager_oscplugin/utils.py

def get_config_value(section, option):

    p = six.moves.configparser.ConfigParser()
    p.read(os.path.expanduser("~/undercloud-passwords.conf"))
    return p.get(section, option)

Where are you experiencing the behavior?  What environment?

On deployment

When does the behavior occur? Frequently?  Repeatedly?   At certain times?

Repeatably

What information can you provide around timeframes and urgency?

Having a minimal ~/undercloud-passwords.conf fixes the issue

Version-Release number of selected component (if applicable):

Note You need to log in before you can comment on or make changes to this bug.